package main

import (
	"flag"
)

func main() {
	var configpath string
	var fpc FuelPricesConfig
	var err error

	flag.StringVar(&configpath, "configfile", "common.ini", "config file to use with fuelprices section")
	flag.Parse()
	GetConfig(configpath, &fpc)

	var szip Srcfile
	var output []byte

	err = DownloadFile(&fpc, &szip)
	HandleFatalError(err)

	err = ExtractZip(&fpc, &szip, &output)
	HandleFatalError(err)

	var prices *[]Price
	GetPrices(&prices, &fpc, &output)

	SendToInflux(&fpc, prices)
}
